close all
clear all
clc

%%
printFigs = true;

figDir = '/Users/kissel/Documents/MyLIGO/Publications/G1400519/';
figTag = 'phasemodulation';
%%
time = 1/2048:1/2048:1;
time2 = 1/2048:1/2048:0.5;

amp_carrier = 5;
f_carrier   = 5;
f_mod       = 20;
amp_mod     = 0.5;

carrier = amp_carrier * exp(1i*2*pi*f_carrier*time);

sideband = amp_mod * exp(1i*2*pi*f_mod*time);
sideband2 = amp_mod * exp(1i*2*pi*f_mod*time2);

output = amp_carrier * exp(1i*2*pi*f_carrier*time + 1i*amp_mod * exp(1i*2*pi*f_mod*time));

%%
figure(1)
figName{1} = [figDir figTag '_carrier.pdf'];
ll=plot(time,real(carrier));
set(ll,'LineWidth',4,'Color',[1.0 0.0 0.0]);
ylim([-10 10])

figure(2)
figName{2} = [figDir figTag '_sideband.pdf'];
ll=plot(time,real(sideband));
set(ll,'LineWidth',4,'Color',[0.0 0.0 1.0]);
ylim([-10 10])

figure(3)
figName{3} = [figDir figTag '_output.pdf'];
ll=plot(time,real(output));
set(ll,'LineWidth',4,'Color',[1.0 0.0 0.0]);
ylim([-10 10])

%%
if printFigs
    for iFig = 1:3
        figure(iFig)
        FillPage('w')
        IDfig
        saveas(gcf,figName{iFig});
    end
end